%global momorel 4

Summary: notification-daemon
Name: notification-daemon
Version: 0.4.0
Release: %{momorel}m%{?dist}
URL: http://www.galago-project.org/specs/notification/
Source0: http://www.galago-project.org/files/releases/source/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
License: LGPL
Group: System Environment/Libraries
Provides: desktop-notification-daemon
Provides: notify-daemon
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: gtk2-devel >= 2.10.11
BuildPreReq: glib2-devel >= 2.12.11
BuildPrereq: dbus-devel >= 1.0.2
BuildPrereq: dbus-glib-devel >= 0.73
BuildPrereq: libsexy-devel >= 0.1.10
BuildPrereq: GConf2-devel >= 2.20.0
BuildPrereq: libwnck-devel >= 2.20.0
BuildPrereq: libxcb-devel >= 1.2
BuildPrereq: intltool

%description
notification-daemon

%prep
%setup -q

%build
%configure --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/notification-daemon.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/notification-daemon.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/notification-daemon.schemas \
	> /dev/null || :
fi

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/notification-daemon.schemas
%{_bindir}/notification-properties
%{_libdir}/%{name}-1.0
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/org.freedesktop.Notifications.service
%{_datadir}/applications/notification-properties.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/locale/*/*/*

%changelog
* Sun May 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-4m)
- Provides: desktop-notification-daemon
- Provides: notify-daemon

* Thu Feb 26 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.4.0-3m)
- rebuild against libxcb-1.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-2m)
- rebuild against rpm-4.6

* Tue Jan 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- update to 0.4.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.7-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.7-4m)
- %%NoSource -> NoSource

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.7-3m)
- rebuild against libwnck-2.20.0

* Sat Aug  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.7-2m)
- add intltoolize (intltool-0.36.0)

* Fri Mar 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.7-1m)
- update to 0.3.7

* Mon Feb 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.6-1m)
- update to 0.3.6

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.5-2m)
- add patch0 for dbus-glib-0.72

* Sun Sep  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.5-1m)
- initila build
